Subject: Re: setup test #4
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Sun, 4 Nov 2001 15:58:42 -0800

On 2 Nov 2001 at 18:59, the Illustrious Robert Collins wrote:

> On Fri, 2001-11-02 at 18:45, Paul G. wrote:
> > 
> > 
> > On 2 Nov 2001 at 17:52, the Illustrious Robert Collins wrote:
> > 
> > > On Fri, 2001-11-02 at 17:37, Paul G. wrote:
> > > > snapshot -4
> > > 
> > > > 	Does "Keep" care whether binary has been installed or not?  If
> > > > not, then "Keep+src=ticked" would handle this nicely.
> > > 
> > > Yes, keep is for the case where a package is installed.
> > > Additionally, there is no uninstall for source currently!
> > 
> > 	Ok.
> > 
> > 	Think I found another bug, one that could be changed in to a
> > "feature" ;-).
> > 
> > 	It is assumed that you have already downloaded the binary using
> > setup.exe -4.
> > 
> > 	When uninstalling a binary package, such as patch, from setup.exe,
> > the logical result is that the patch binary is removed.
> > 
> > 	You can then, using snapshot -4, download the source by selecting
> > revision 0.0 and setting "src=ticked".  Interesting.  The
> > funny/interesting thing is that if you have the binary installed,
> > revision 0.0 does not appear ;-).  Revision 0.0 only appears after an
> > uninstall of the binary package has occurred, or at least so it would
> > seem.
> 
> Which package? I just tried this cron, and while it did default to
> "source" rather the current version - something I'm about to fix :} - it
> wouldn't show 0.0 for me. 0.0 is show for packages that don't have a
> version stamp - and some of the old packages don't or didn't have
> versions. You may have 'lucked' onto one of those in the 'prev' field.

	I was looking at Utils category when I discovered this.  patch and time both show this 
behaviour.  time is always set to version 0.0.  patch is reverted to version 0.0.

	Sounds like I did "luck" in to it...;-).

	Anyway, thought it was interesting.  Haven't taken time to look through all categories.  
Database category does not have this behaviour, at least not with postgresql.

	Paul G.
> 
> Rob
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/